<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("_6edacb78bd55c5015af27c8ac1f" . "cd9af" => base64_decode("bWV0aG9k" . "X2V4aXN0" . "cw=="), "_c06c961f393742ecfd52b72263ac947" . "0" => base64_decode("aW50" . "dmFs"), "_80453d7bea0ddc48afe3e3c" . "89e0b8aec" => base64_decode("Tm9uLWV4aXN0aW5nIHZhbGlkYXRpb24gbW" . "V0aG9kICc="), "_7eacce07e2449116f62c946" . "4710c37f7" => base64_decode("cmV" . "zZX" . "Q="), "_19d1237a619f7b35ad6" . "dbebf025f17c8" => base64_decode("c3Ry" . "Y21w"), "_aed8da0f19091214b78f80" . "351048517c" => base64_decode("c3RybGV" . "u"), "_e608e5b5c4c34a67ba97ef84c1e" . "16199" => base64_decode("J" . "w" . "=" . "="), "_4d707fab93bebb00bbe69" . "e8159697c90" => base64_decode(""));
use Psr\Http\Message\ServerRequestInterface;





abstract class FFControlBaseIsolated extends ErrorHandler implements FFControlIsolated
{
    var $was_changed = false;
    public $parameters = array();
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    protected function ExchangeValues(&$data, ServerRequestInterface $request, $name, $default = null, $validate_method = null)
    {
        if (\Claromentis\Core\Http\gpc::getvar($request, $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_7eacce07e2449116f62c94" . "64710c37f7"]) != $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_4d707fab93bebb00bbe69" . "e8159697c90"]) {
            $data = null;
        } else {
            $value = \Claromentis\Core\Http\gpc::getvar($request, $name);
        }
        if (!isset($value)) {
            $value = isset($data[$name]) ? $data[$name] : null;
        } else {
            if (isset($data[$name]) && $data[$name] != $value) {
                $this->was_changed = true;
            }
            $data[$name] = $value;
        }
        if ($validate_method) {
            if ($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_6edacb78bd55c5015af27c8ac1" . "fcd9af"]($this, $validate_method)) {
                if (!$this->{$validate_method}($value) && $this->{$validate_method}($default)) {
                    $value = $default;
                }
            } else {
                $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_80453d7bea0ddc48afe3e3c89" . "e0b8aec"] . $validate_method . $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_e608e5b5c4c34a67ba9" . "7ef84c1e16199"]);
            }
        }
        return $value;
    }
    
    
    
    
    
    
    
    
    protected function Validate($value)
    {
        return isset($value);
    }
    
    
    
    
    
    
    
    
    protected function ValidateInteger($value)
    {
        return !!$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_aed8da0f19091214b78f803510" . "48517c"]($value) && !$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_19d1237a619f7b35ad6" . "dbebf025f17c8"]($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_c06c961f" . "393742ecf" . "d52b72263" . "ac9470"]($value), $value);
    }
    
    
    
    
    
    
    
    
    protected function ValidateString($value)
    {
        return !!$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_aed8da0f190" . "91214b78f803" . "51048517c"]($value);
    }
}